Address GroupsUpdate a group

Update a group

Name, description, UI metadata. Contents and grants are edited through separate endpoints.

curl -X PATCH "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/address-folders/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "John Doe",
  "description": "example_string",
  "color": "example_string",
  "emoji": "example_string"
}'
{
  "id": "cmr3f41z20001psp7phmyapw3",
  "vaultId": "example_string",
  "name": "John Doe",
  "description": "example_string",
  "color": "example_string",
  "emoji": "example_string",
  "createdById": "example_string",
  "createdAt": "2026-07-02T11:25:15.134000Z",
  "updatedAt": "2026-07-02T11:25:15.134000Z",
  "memberCount": 10,
  "access": "manager",
  "sharing": {
    "isShared": true,
    "participantCount": 10
  }
}
PATCH
/api/v1/vaults/{code}/address-folders/{id}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Min length: 1 • Max length: 200
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault

Responses

idstring
Required

cuid

vaultIdstring
Required
namestring
Required
descriptionstring
Required
colorstring
Required
emojistring
Required
createdByIdstring
Required
createdAtstring
Required
updatedAtstring
Required
memberCountinteger
accessstring

How I have access to the group

Allowed values:managergrantedadmin
sharingobject

Whether the folder is shared with anyone else + how many PEOPLE have access. Orthogonal to the access field: your own shared folder is access=manager + isShared=true